/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.event;

import com.sun.jdi.*;
import com.sun.jdi.event.*;

public class ModificationWatchpointEventSet extends WatchpointEventSet {
    
    ModificationWatchpointEventSet(EventSet jdiEventSet) {
        super(jdiEventSet);
    }
    
    /**
     * Value that will be assigned to the field when the instruction
     * completes.
     */
    public Value getValueToBe() {
        return ((ModificationWatchpointEvent)oneEvent).valueToBe();
    }

    public void notify(JDIListener listener) {
        listener.modificationWatchpoint(this);
    }
}

